/**
 * collection of Flags
 * @author EVI
 * @version 7/6/09
 */
public class CollectFlag 
{
	public final static int MAX_NO_FLAGS = 20;	// maximum number of Flags
	private Flag[] flags;	// collection of Flags
	private int noOfFlags;	// number of Flags
	/**
	 * create an empty ColectFlag
	 */
	public CollectFlag() 
	{
		this.noOfFlags = 0;
		this.flags = new Flag[MAX_NO_FLAGS];
	}
	/**
	 * add flag if flag dose not exist  
	 * @param flag: Flag
	 */
	public void add(Flag flag)
	{
		if (!exist(flag.getName()) && this.noOfFlags<CollectFlag.MAX_NO_FLAGS)
		{
			this.flags[this.noOfFlags] = flag;
			this.noOfFlags++;
		}
	}
	/**
	 * add flag with (x,y) and width, name ans colors, if name dose not exist
	 * @param flag: Flag
	 * @param x: x-coordinate of left up corner
	 * @param y: y-coordinate of left up corner
	 * @param width: line width
	 * @param name: Country name
	 * @param kind: 1 - vertical, 2 - horizontal
	 * @param colors: Flag's colors	 */
	public void add(int x, int y, int width, String name, int kind, String[] colors) 
	{
		if (!exist(name) && this.noOfFlags<CollectFlag.MAX_NO_FLAGS)
		{
			this.flags[this.noOfFlags] = new Flag(x,y,width,name,kind,colors);
			this.noOfFlags++;
		}
	}
	/**
	 * @return number of Flags 
	 */
	public int getNoOfFlags()
	{
		return this.noOfFlags;
	}
	/**
	 * @param index: integer, 0<= index <= this.mnoOfFlags
	 * @return Flag in index index
	 */
	public Flag getFlag(int index)
	{
		return this.flags[index];
	}
	/**
	 * @param name: String, Flag's name
	 * @return index of FLAG with name, if exists, (-1) - otherwise
	 */
	public int find(String name)
	{
		for (int k=0; k< this.noOfFlags; k++)
			if (this.flags[k].getName().equals(name))
				return k;
		return (-1);
	}
	/**
	 * @return all Flags in CoolectFlag
	 */
	public Flag[] getAllFlags()
	{
		return this.flags;
	}
//------    private  methods   --------
	/**
	 * @param name: String, Flag's name
	 * @return true if exists, false - otherwise
	 */
	private boolean exist(String name)
	{
		for (int k=0; k< this.noOfFlags; k++)
			if (this.flags[k].getName().equals(name))
				return true;
		return false;
	}
}
