﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLAGS_class
{
    class Flag
    {
        private string name;
        private ConsoleColor col1;
        private ConsoleColor col2;
        private ConsoleColor col3;
        private int sug;    //1- holland like(horizontal),2-italy like(vertical),3- scandinavian

        public Flag(ConsoleColor col1, ConsoleColor col2, ConsoleColor col3, int sug)
        {
            this.col1 = col1;
            this.col2 = col2;
            this.col3 = col3;
            this.sug = sug;

        }
        public ConsoleColor GetColor1()   {  return col1;  }
        public ConsoleColor GetColor2()   {  return col2;  }
        public ConsoleColor GetColor3()   {  return col3;  }

        public void SetName(string name) { this.name = name; }

        public override string ToString()
        {
            string degel = this.col1 + "," + this.col2;
            //if (sug < 3)
                degel = degel + "," + this.col3;
            degel = degel + "," +GiveSugGetTeur( this.sug);
            if (this.name != "unknown")
                 degel += "   this is " + this.name;
            return degel;
        }



/// //////////////////////////////////////////////////////////////////


        public static ConsoleColor GiveCodeGetColor( int codeOfColor  )
        {
            switch( codeOfColor)
            {
                case 1:return ConsoleColor.Blue;
                case 2:return ConsoleColor.Green;
                case 3:return ConsoleColor.Red;
                case 4:return ConsoleColor.Yellow;
                case 5:return ConsoleColor.White;
                default:return ConsoleColor.Black;
            }
         }
       public static string GiveSugGetTeur( int sug  )
        {
            switch( sug)
            {
                case 1:return "horizontal";
                case 2:return "vertical";
                case 3:return "scandinavian";
                
                default:return "other";
            }
         }

       public static string GiveColorCodesAndSug_GetCountryName(int c1, int c2, int c3, int sug)
       {
           int all = 1000 * sug + 100 * c1 + 10 * c2 + c3;
           switch (all)
           {
               case 1343: return "Spain"; 
               case 1342: return "Bolivia"; 
               case 1351: return "Holland"; 
               case 1352: return "Hungary"; 
               case 1353: return "Austria"; 
               case 1423: return "Lita"; 
               case 1513: return "Russia"; 
               case 1523: return "Bulgaria"; 
               case 2143: return "Romania"; 
               case 2151: return "Guatemala"; 
               case 2153: return "France"; 
               case 2222: return "Lybia"; 
               case 2252: return "Nigeria"; 
               case 2253: return "Italy"; 
               case 2353: return "Peru"; 
               case 3135: return "Iceland"; 
               case 3141: return "Sweden"; 
               case 3315: return "Norway"; 
               case 3353: return "Denmark"; 
               case 3515: return "Finland"; 
               default: return "unknown";

           }
}
       public static string GiveCountryCodeandArea_GetColorCodesAndSugInArray(int area, int ctry, int[] cAndSug)
       {
           string eretz="";
           switch (area)
           {
               case 1: switch (ctry)
                   {
                       case 1: AssignToArray(3135,cAndSug);eretz= "Iceland"; break;
                   case 2:  AssignToArray(3353,cAndSug);eretz="Denmark"; break;
                   case 3:  AssignToArray(3315,cAndSug);eretz= "Norway"; break;
                   case 4: AssignToArray(3515,cAndSug);eretz="Finland";  break;
                   case 5: AssignToArray(3141,cAndSug);eretz="Sweden" ; break;
                   }; break;
                case 2: switch (ctry)
                   {
                   case 1: AssignToArray(1353, cAndSug);eretz="Austria";  break;
                   case 2: AssignToArray(1351, cAndSug);eretz="Holland";  break;
                   case 3: AssignToArray(1343, cAndSug);eretz="Spain";  break;
                   case 4: AssignToArray(2253, cAndSug);eretz="Italy" ; break;
                   case 5: AssignToArray(2153, cAndSug); eretz = "France"; break;
                   }; break;
              case 3: switch (ctry)
                   {
                   case 1: AssignToArray(1523, cAndSug);eretz="Bulgaria";  break;
                   case 2: AssignToArray(1352,cAndSug);eretz="Hungary" ; break;
                   case 3: AssignToArray(1423,cAndSug);eretz="Lita" ; break;
                   case 4: AssignToArray(1513, cAndSug);eretz="Russia";  break;
                   case 5: AssignToArray(2143, cAndSug);eretz="Romania" ; break;
                   }; break;
                case 4: switch (ctry)
                   {
                   case 1: AssignToArray(1342,cAndSug);eretz= "Bolivia" ; break;
                   case 2: AssignToArray(2353,cAndSug);eretz="Peru" ; break;
                   case 3: AssignToArray(2151, cAndSug);eretz="Guatemala" ; break;
                   case 4: AssignToArray(2252, cAndSug);eretz="Nigeria" ; break;
                   case 5: AssignToArray(2222, cAndSug);eretz="Lybia"; break;
                   }; break;      
           }
           return eretz;
       }
       public static void AssignToArray(int code ,int[] cAndSug)
       {
           cAndSug[0]=code/1000;
           cAndSug[1]=code/100%10;
           cAndSug[2]=code/10%10;
           cAndSug[3]=code%10;

       }
       
    }
}
